# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test.pm) perl(Test/Differences.pm) perl(XML/SAX/Base.pm) perl(XML/SAX/EventMethodMaker.pm) perl(XML/SAX/PurePerl.pm) perl(XML/SAX/Writer.pm)
# END SourceDeps(oneline)
%define module_version 0.1
%define module_name XML-Filter-DataIndenter
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1
Release: alt1
Summary: SAX2 Indenter for data oriented XML
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RB/RBS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
ALPHA CODE ALERT: This is the first release.  Feedback and patches
welcome.

In data oriented XML, leaf elements (those which contain no elements)
contain only character content, all other elements contain only child
elements and ignorable whitespace.  This filter consumes all whitespace
not in leaf nodes and replaces it with whitespace that indents all
elements.  Character data in leaf elements is left unmolested.

This filter assumes you're emitting data oriented XML.  It will die if
it sees non-whitespace character data outside of a leaf element.  It
also dies if it sees start-tag / end-tag mismatch, just as a service to
the programmer.

Processing instructions and comments are indented as though they were
leaf elements except when they occur in leaf elements.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_privlib/X*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1
- initial import by package builder

